OnlineNet
Perform various operations for Symitar parameters.
Operations
Retrieve OnlineNet parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getOnlineNet HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 183
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"OnlineNetNetworkMessageFormat": "example-value",
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"OnlineNet": {
"RecordChangeDate": "2010-05-08"
},
"MessageId": "getOnlineNet"
}Retrieve OnlineNet parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getOnlineNetSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 279
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"OnlineNetNetworkMessageFormat": 2,
"SelectableFields": {
"OnlineNetFields": {
"NetworkMessageFormat": true,
"LogicalNetwork": true,
"SystemId": true
}
}
}Successful operation.
{
"OnlineNet": {
"LogicalNetwork": null,
"NetworkMessageFormat": 2,
"SystemId": null
},
"MessageId": "getOnlineNetSelectFields"
}Retrieve OnlineNet parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getOnlineNetPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5,
"NumberOfRecordsToSkip": 0,
"Token": "example-token"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"OnlineNet": [],
"Token": null,
"MessageId": "getOnlineNetPagedList"
}Retrieve OnlineNet parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getOnlineNetListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 192
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"SelectableFields": {
"IncludeAllOnlineNetFields": true
}
}Successful operation.
{
"OnlineNetList": [],
"MessageId": "getOnlineNetListSelectFields"
}Search OnlineNet parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/searchOnlineNetSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 230
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"SelectableFields": {
"IncludeAllOnlineNetFields": true
},
"SearchFilter": {
"Query": "example-query"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"OnlineNetList": [],
"MessageId": "searchOnlineNetSelectFields"
}Retrieve OnlineNet parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/getOnlineNetPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 324
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"OnlineNetFields": {
"NetworkMessageFormat": true,
"LogicalNetwork": true,
"SystemId": true
}
}
}Successful operation.
{
"OnlineNet": [
{
"LogicalNetwork": null,
"NetworkMessageFormat": 2,
"SystemId": null
}
],
"Token": "{paging-token}",
"MessageId": "getOnlineNetPagedListSelectFields"
}Search OnlineNet parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Successful operation.
POST /nexum/627/2022.01/parameter/searchOnlineNetPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 335
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 1,
"NumberOfRecordsToSkip": 0
},
"Query": "",
"SelectableFields": {
"OnlineNetFields": {
"NetworkMessageFormat": true,
"LogicalNetwork": true,
"SystemId": true
}
}
}Successful operation.
{
"OnlineNet": [
{
"LogicalNetwork": null,
"NetworkMessageFormat": 2,
"SystemId": null
}
],
"Token": "{paging-token}",
"MessageId": "searchOnlineNetPagedSelectFields"
}Update OnlineNet parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
Successful operation.
POST /nexum/627/2022.01/parameter/updateOnlineNetByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 251
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"OnlineNetNetworkMessageFormat": "example-value",
"OnlineNetUpdatableFields": {
"Type": 0,
"Description": "NEXUM EXAMPLE"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}Successful operation.
{
"UpdateStatus": {
"isAllFieldsUpdateSuccess": true,
"FailedUpdateStatus": []
},
"MessageId": "updateOnlineNetByID"
}Last updated
Was this helpful?